aboutsummaryrefslogtreecommitdiffstats
path: root/tdf-postinst-udeb/debian/postinst
diff options
context:
space:
mode:
authorGuilhem Moulin <guilhem@libreoffice.org>2016-10-22 16:39:53 +0200
committerGuilhem Moulin <guilhem@libreoffice.org>2016-10-22 17:03:09 +0200
commitcbf0cecd44a6b422e208f3043f2ceaf7fd0a25a9 (patch)
tree7f66f6e88a5881a79118914146dbbedde13c5e6a /tdf-postinst-udeb/debian/postinst
parentb1f33fda4070054abd97160bc59fef6cf94b20fb (diff)
Ensure module 'virtio-rng' is loaded in the guest before creation of key material.
Diffstat (limited to 'tdf-postinst-udeb/debian/postinst')
-rwxr-xr-xtdf-postinst-udeb/debian/postinst13
1 files changed, 13 insertions, 0 deletions
diff --git a/tdf-postinst-udeb/debian/postinst b/tdf-postinst-udeb/debian/postinst
new file mode 100755
index 0000000..fc933d3
--- /dev/null
+++ b/tdf-postinst-udeb/debian/postinst
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+set -ue
+
+if [ "$1" = 'configure' ]; then
+ # Linux >=3.16 mixes output from the VirtIO RNG (/dev/hwrng) into
+ # /dev/random hence we no longer need to do this in userspace using
+ # `rngd`
+ register-module virtio-rng
+fi
+
+#DEBHELPER#
+exit 0